routes/admin.php
<?php
use App\Http\Controllers\Auth\AuthenticatedSessionController;
use Illuminate\Support\Facades\Route;



Route::get('dashboard', 'AuthController@showLoginForm')->name('admin.login');
Route::post('dashboard', 'AuthController@login');


Route::post('admin/logout', [AuthenticatedSessionController::class, 'destroy'])
    ->middleware('auth:admin')
    ->name('admin.logout');

Route::group(['prefix' => 'dashboard', 'middleware' =>['auth:admin','admin'], 'as' => 'admin.'], function () {

    Route::get('/main', 'DashboardController@index')->name('main');
    Route::resource('roles', 'RoleController');
    Route::resource('admins', 'AdminController');
    Route::resource('users', 'UserController');
    Route::resource('services', 'ServiceController');
    Route::resource('blogs', 'BlogController');
    Route::resource('settings', 'SettingController');
    Route::resource('partners', 'PartnerController');
    Route::resource('testimonials', 'TestimonialController');
    Route::resource('guest-messages', 'GuestMessageController');
    Route::resource('site-forms', 'SiteFormController');
    Route::resource('mail-lists', 'MailListController');
    Route::resource('home-text', 'HomeTextController');


    Route::post('active/{id}/role', 'RoleController@active')->name('active.role');
    Route::post('active/{id}/{type}', 'DashboardController@active')->name('active');

});



require __DIR__.'/auth.php';

routes/web.php
<?php

use App\Http\Controllers\Site\AuthController;
use App\Http\Controllers\Site\HomeController;
use Illuminate\Support\Facades\Route;

Route::group(['middleware'=>'checkBanned','as' => 'site.'], function () {
    Route::get('/', [HomeController::class, 'index'])->name('home');
    Route::get('/about', [HomeController::class, 'about'])->name('about');
    Route::get('/services', [HomeController::class, 'services'])->name('services');
    Route::get('/blog', [HomeController::class, 'blog'])->name('blog');
    Route::get('/single-blog/{id}', [HomeController::class, 'singleBlog'])->name('singleBlog');
    Route::get('/contact', [HomeController::class, 'contact'])->name('contact');
    Route::post('/contact', [HomeController::class, 'postContact'])->name('postContact');
    Route::post('/subscribe', [HomeController::class, 'subscribe'])->name('subscribe');


    Route::get('forget', [AuthController::class, 'resetForm'])->name('resetForm');
    Route::get('send-code', [AuthController::class, 'sendCode'])->name('sendCode');
    Route::post('/change-password', [AuthController::class, 'changePassword'])->name('changePassword');

    Route::get('/form', [HomeController::class, 'form'])->name('form');
    Route::post('/form', [HomeController::class, 'sendForm'])->name('send_form');
    Route::get('/page_image', [HomeController::class, 'page_image'])->name('page_image');
    Route::get('/alhadina', [HomeController::class, 'alhadina'])->name('alhadina');


});

//require __DIR__.'/auth.php';

app/Http/Controllers/Admin/DashboardController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    public function index()
    {
        return view('dashboard.layouts.main');
    }


    public function active($id, $className)
    {
        $baseClass = 'App\Models\\' . $className;
        $model = $baseClass::findOrFail($id);
        $model->update(['is_active' => !$model->is_active]);

        return back()->with('success', __('تم التحديث بنجاح'));
    }
}

resources/views/dashboard/admins/create.blade.php
@extends('dashboard.layouts.layout')
@section('title',' اضافة مدير جديد')

@section('content')

    <div class="row">
        <div class="col-lg-12">
            <div class="card-box">

                <div class="breadcrumb">
                    <a href="{{route('admin.main')}}" class="header-title m-t-0 m-b-30"><i class="icon-home2 mr-2"></i>
                        الرئيسية</a> /
                    <a href="{{route('admin.admins.index')}}" class="header-title m-t-0 m-b-30"><i
                            class="icon-home2 mr-2"></i>
                        الادارة </a> /
                    <span class="breadcrumb-item active">@yield('title')</span>
                </div>

                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">
{{--                            @include('dashboard.layouts.status')--}}
                            <h4 class="header-title m-t-0 m-b-30"> اضافة مدير</h4>

                            <form class="form-horizontal" role="form" method="post" action="{{route('admin.admins.store')}}">
                                @csrf
                                <div class="form-group row">
                                    <label class="col-md-2 control-label">الاسم</label>
                                    <div class="col-md-4">
                                        <input type="text"
                                               class="form-control  {{$errors->has('name') ? ' is-invalid' : null}}"
                                               name="name" value="{{old('name')}}"
                                               placeholder="الاسم">
                                        @error('name')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>

                                    <label class="col-md-2 control-label" for="example-email">البريد
                                        الالكترونى</label>
                                    <div class="col-md-4">
                                        <input type="email" id="example-email" name="email" value="{{old('email')}}"
                                               class="form-control  {{$errors->has('email') ? ' is-invalid' : null}}"
                                               placeholder="البريد الالكترونى">
                                        @error('email')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-2 control-label">كلمة المرور</label>
                                    <div class="col-md-4">
                                        <input type="password"
                                               class="form-control  {{$errors->has('password') ? ' is-invalid' : null}}"
                                               name="password">

                                        @error('password')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror </div>

                                    <label class="col-md-2 control-label">تأكيد كلمة المرور</label>
                                    <div class="col-md-4">
                                        <input type="password" class="form-control"
                                               name="password_confirmation">
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-2 control-label">الجوال</label>
                                    <div class="col-md-4">
                                        <input type="text"
                                               class="form-control  {{$errors->has('phone') ? ' is-invalid' : null}}"
                                               placeholder="الجوال" name="phone" value="{{old('phone')}}">
                                        @error('phone')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>

                                    <label class="col-sm-2 control-label"> المنصب</label>
                                    <div class="col-sm-4">
                                        <select class="form-control {{$errors->has('roles') ? ' is-invalid' : null}}" name="roles">
                                            <option disabled selected>اختر المنصب</option>
                                            @foreach($roles as $role)
                                                <option value="{{$role->id}}">{{$role->name}}</option>
                                            @endforeach
                                        </select>
                                        @error('roles')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="text-center form-group row">
                                    <button type="submit"
                                            class="btn btn-success btn-block waves-effect waves-light m-l-10 btn-md"> حفظ
                                    </button>
                                </div>

                            </form>
                        </div>
                    </div><!-- end col -->
                </div>
            </div>
        </div><!-- end col -->
    </div>

@endsection

resources/views/dashboard/admins/edit.blade.php
@extends('dashboard.layouts.layout')
@section('title','  تعديل مدير ')

@section('content')

    <div class="row">
        <div class="col-lg-12">
            <div class="card-box">

                <div class="breadcrumb">
                    <a href="{{route('admin.main')}}" class="header-title m-t-0 m-b-30"><i class="icon-home2 mr-2"></i>
                        الرئيسية</a> /
                    <a href="{{route('admin.admins.index')}}" class="header-title m-t-0 m-b-30"><i
                            class="icon-home2 mr-2"></i>
                        الادارة </a> /
                    <span class="breadcrumb-item active">@yield('title')</span>
                </div>

                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">
                            {{--                            @include('dashboard.layouts.status')--}}
                            <h4 class="header-title m-t-0 m-b-30">
                                تعديل مدير
                                <span class="badge badge-info">{{$admin->name}}</span>
                            </h4>

                            <form class="form-horizontal" role="form" method="post"
                                  action="{{route('admin.admins.update',$admin->id)}}">
                                @csrf
                                {{method_field('put')}}
                                <div class="form-group row">
                                    <label class="col-md-2 control-label">الاسم</label>
                                    <div class="col-md-4">
                                        <input type="text"
                                               class="form-control  {{$errors->has('name') ? ' is-invalid' : null}}"
                                               name="name" value="{{$admin->name}}"
                                               placeholder="الاسم">
                                        @error('name')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>

                                    <label class="col-md-2 control-label" for="example-email">البريد
                                        الالكترونى</label>
                                    <div class="col-md-4">
                                        <input type="email" id="example-email" name="email" value="{{$admin->email}}"
                                               class="form-control  {{$errors->has('email') ? ' is-invalid' : null}}"
                                               placeholder="البريد الالكترونى">
                                        @error('email')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-2 control-label">كلمة المرور</label>
                                    <div class="col-md-4">
                                        <input type="password"
                                               class="form-control {{$errors->has('password') ? ' is-invalid' : null}}"
                                               placeholder="كلمة المرور" name="password">
                                        @error('password')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror </div>

                                    <label class="col-md-2 control-label">تأكيد كلمة المرور</label>
                                    <div class="col-md-4">
                                        <input type="password" class="form-control"
                                               placeholder="تأكيد كلمة المرور" name="password_confirmation">
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-2 control-label">الجوال</label>
                                    <div class="col-md-4">
                                        <input type="text" value="{{$admin->phone}}"
                                               class="form-control {{$errors->has('phone') ? ' is-invalid' : null}}"
                                               placeholder="الجوال" name="phone">
                                        @error('phone')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>

                                    @if(!$admin->hasRole('Super Admin'))
                                        <label class="col-sm-2 control-label"> المنصب</label>
                                        <div class="col-sm-4">
                                            <select
                                                class="form-control {{$errors->has('roles') ? ' is-invalid' : null}}"
                                                name="roles">
                                                <option disabled selected>اختر المنصب</option>
                                                @foreach($roles as $role)
                                                    <option
                                                        value="{{$role->id}}" {{$role->id == $admin->hasRole($role->id)  ? 'selected' : ''}}
                                                    {{$role->name == 'Super Admin' ? 'disabled' : ''}}>{{$role->name}}</option>
                                                @endforeach
                                            </select>
                                            @error('roles')
                                            <div class="invalid-feedback" style="color: #ef1010">
                                                {{ $message }}
                                            </div>
                                            @enderror
                                        </div>
                                    @endif
                                </div>


                                <div class="text-center form-group row">
                                    <button type="submit"
                                            class="btn btn-success btn-block waves-effect waves-light m-l-10 btn-md">
                                        حفظ
                                    </button>
                                </div>

                            </form>
                        </div>
                    </div><!-- end col -->
                </div>
            </div>
        </div><!-- end col -->
    </div>

@endsection

resources/views/dashboard/admins/index.blade.php
@extends('dashboard.layouts.layout')
@section('title','الادارة ')

@section('content')

    <div class="row">
        <div class="col-lg-12">
            <div class="card-box">

                <div class="breadcrumb">
                    <a href="{{route('admin.main')}}" class="header-title m-t-0 m-b-30"><i class="icon-home2 mr-2"></i>
                        الرئيسية</a> /
                    <span class="breadcrumb-item active">@yield('title')</span>
                </div>

                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">
                            @include('dashboard.layouts.status')

                            <a href="{{route('admin.admins.create')}}"
                               class="btn btn-purple btn-rounded w-md waves-effect waves-light m-b-5">اضافة مدير
                                جديد</a>
                            <br>
                            <br>

                            <table id="datatable-keytable" class="table table-striped table-bordered text-center">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>الاسم</th>
                                    <th>البريد الالكترونى</th>
                                    <th>الجوال</th>
                                    <th>المنصب</th>
                                    <th>العمليات</th>
                                </tr>
                                </thead>

                                <tbody>
                                @foreach($admins as $index => $admin)
                                    <tr>
                                        <td>{{$index +1}}</td>
                                        <td>{{$admin->name}}</td>
                                        <td>{{$admin->email}}</td>
                                        <td>{{$admin->phone}}</td>
                                        <td>
                                            @if($admin->hasRole(\Spatie\Permission\Models\Role::all()))
                                                @foreach($admin->roles as $role)
                                                    {{$role->name}}
                                                @endforeach
                                            @else لا يوجد @endif
                                        </td>


                                        <td class="text-center">

                                            @if(!$admin->hasRole('Super Admin'))
                                                @if(auth('admin')->id() != $admin->id)

                                                    @if($role->is_active == 0)
                                                        <button disabled="disabled"
                                                                class="btn-icon waves-effect btn btn-sm btn-warning disabled">
                                                            المنصب
                                                            معطل
                                                        </button>
                                                    @else
                                                        <form
                                                            action="{{ route('admin.active', ['id' => $admin->id, 'type' => 'Admin']) }}" style="display: inline;"
                                                            method="post">@csrf
                                                            <button type="submit"
                                                                    class="btn-icon waves-effect {{ $admin->is_active ? 'btn btn-sm btn-success' : 'btn btn-sm btn-warning' }}">{{ $admin->is_active ? 'مفعل ' : ' معطل' }}</button>
                                                        </form>
                                                    @endif
                                                @else
                                                    <button disabled
                                                            class="btn-icon waves-effect btn btn-sm btn-success">مفعل
                                                    </button>
                                                @endif
                                            @else
                                                <button disabled="disabled"
                                                        class="btn-icon waves-effect btn btn-sm btn-success">مفعل
                                                </button>
                                            @endif


                                            @if($admin->hasRole('Super Admin') && auth()->user()->id == 1)

                                                    <a href="{{url(route('admin.admins.edit',$admin->id))}}"
                                                       class="btn-icon waves-effect btn btn-primary btn-sm ml-2 rounded-circle"><i
                                                            class="fa fa-edit"></i></a>

                                            @endif

                                            @if(!$admin->hasRole('Super Admin'))

                                                    <a href="{{url(route('admin.admins.edit',$admin->id))}}"
                                                       class="btn btn-primary btn-sm ml-2 rounded-circle"><i
                                                            class="fa fa-edit"></i></a>

                                            @endif


                                                @if(!$admin->hasRole('Super Admin'))
                                                    @if(auth('admin')->id() != $admin->id)
                                                        <button data-url="{{route('admin.admins.destroy',$admin->id)}}"
                                                                class="btn btn-danger rounded-circle btn-sm ml-2 delete" title="Delete">
                                                            <i class="fa fa-trash"></i>
                                                        </button>
                                                    @endif
                                                @else
                                                    <button disabled class="btn btn-danger btn-sm ml-2 rounded-circle"><i
                                                            class="fa fa-trash"></i>
                                                    </button>
                                                @endif


                                        </td>
                                    </tr>
                                @endforeach


                                </tbody>
                            </table>
                        </div>
                    </div><!-- end col -->
                </div>

            </div>
        </div><!-- end col -->
    </div>

@endsection